import greenfoot.*;
import java.awt.*;


public class Board extends World
{
    GreenfootImage screen = new GreenfootImage(600, 600);
    Color color = new Color(0,0,0);
    int A = getWidth()/2, B = getHeight()/2;
    int[] co = new int[3];
    double R=100.0;
    static final double PI = 3.141592653589793258;
    Vector v = new Vector();
    boolean Line;
    int angle, x, y, x0, y0, time;
    Color tr;
    public Board()
    {    
        super(600, 600, 1); 
        Line = false;
        screen = getBackground();
    }
    
    public void act()
    {
        if(time <= 360 )
        {
            drawCircle(R, A, B, Line);
            time ++;
        }
        else if(time == 361)
        {
            time = 0;
            Line = !Line;
            if(R <= getWidth()/2 && !Line)
                R += 30.0;
            else if(R >= getWidth()/2 && !Line)   time = 362;
        }
        if ( time == 362 )
        {
            int C = 30; // text's size
            tr = new Color(Greenfoot.getRandomNumber(256), Greenfoot.getRandomNumber(256), Greenfoot.getRandomNumber(256));
            GreenfootImage text = new GreenfootImage("FINISH!", C, tr, new Color(0,0,0,0));
            screen.drawImage(text, (getWidth()-text.getWidth())/2, (getHeight()-text.getHeight())/2);
            //Greenfoot.stop();
        }
    }
    
    public void drawCircle(double R, int A, int B, boolean Line)
    {
        //if Line is true, draw as Line. else, draw as spot.
        for(int i =0;i<co.length;i++)
        {
            //co[i] = Greenfoot.getRandomNumber(256); // express checkerd color
            co[i] = 0; // express black
        }
        
        if(time!=0)
        {
            x0 = x;
            y0 = y;
        }
          
        screen.setColor(new Color(co[0], co[1], co[2]));
        x = (int)(v.cos_theta2(time, R) + A);
        y = (int)(v.sin_theta2(time, R) + B);
        
        if(time == 0)
        {
            x0 = (int)(v.cos_theta2(time-1, R) + A);
            y0 = (int)(v.sin_theta2(time-1, R) + B);
        }
     
        if(Line)
            screen.drawLine(x,y,A,B);
        else
            screen.drawLine(x0, y0, x, y);
    }
}
