import java.lang.*;
import java.awt.*;

public class Vector
{
    private static final double PI = 3.141592653589793258;
    public double sin_theta(double theta, double R)
    {
        //theta is angle in rad, R is diplacement between the point and the center
        return R*Math.sin(theta);
    }
    public double sin_theta2(int angle, double R)
    {
        double a = Math.toRadians((double)angle);
        return sin_theta(a, R);
    }
    public double cos_theta(double theta, double R)
    {
        return R*Math.cos(theta);
    }
    public double cos_theta2(int angle, double R)
    {
        double a = Math.toRadians((double)angle);
        return cos_theta(a, R);
    }
    public double square(double under, int exp)
    {
        //under is number being timed
        double a = 1.0;
        if ( under ==0 || under == 1)   return under;
        if (exp ==0) return 1.0;
        for(int i=1;i<=exp;i++)
        {
            a*=under;
        }
        return a;
    }
    public double sqrt(double num)
    {
        return Math.sqrt(num);
    }
    public double absolute(double num)
    {
        return sqrt(square(num, 2));
    }
}